<!doctype html>
<html lang="en">
  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css" integrity="sha384-Smlep5jCw/wG7hdkwQ/Z5nLIefveQRIY9nfy6xoR1uRYBtpZgI6339F5dgvm/e9B" crossorigin="anonymous">
  <p><a href="/accounts/logout" style="text-align: left">Log out</a></p>

  <p class="font-weight-normal" style="font-size: 30pt; text-align: center; border-bottom: 1px solid green;">Welcome, {{user.username}}</p>

  </head>

  <body>
<div class="card-deck" >
  <div class="card">

    <div class="card-body">
      <h5 class="card-title" style="text-align: center; color:blue;">XP</h5>
      <p class="card-text"style="text-align: center;color:blue;">LVL: {{user.userstats.level}} XP: {{user.userstats.XP}}/10</p>
    </div>
  </div>
  <div class="card">

    <div class="card-body">
      <h5 class="card-title"style="text-align: center;color:red;">HP</h5>
      <p class="card-text"style="text-align: center;color:red;">{{user.userstats.HP}}</p>

    </div>
  </div>
  <div class="card">

    <div class="card-body">
      <h5 class="card-title"style="text-align: center;color:gold;">Gold</h5>
      <p class="card-text"style="text-align: center;color:gold;">{{user.userstats.gold}}</p>

    </div>
  </div>
  <div class="card">

    <div class="card-body">
      <h5 class="card-title"style="text-align: center;color:green;">Points</h5>
      <p class="card-text"style="text-align: center;color:green;">{{user.userstats.points}}</p>

    </div>
  </div>
</div>
<p></p>



<a href="/leaderboard"><button type="button" class="btn btn-outline-success" style="width:100%;">Leaderboard</button></a>



<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Active quests</th>
      <th scope="col">Reward</th>
    </tr>
  </thead>
  <tbody>
  {% for i in quest_list %}
  <tr>
      <th scope="row">{{forloop.counter}}</th>
      <td>{{i.questName}}</td>
      <td>XP: {{i.rewardXP}} Gold: {{i.rewardGold}} Points: {{i.rewardPts}} Penalty on fail: {{i.penaltyHP}} HP</td>
  </tr>
  {% endfor %}

  </tbody>
</table>


  </body>
